Apache JMeter

## org.apache.jmeter.util.keystore
Class JmeterKeyStore

    java.lang.Object
      org.apache.jmeter.util.keystore.JmeterKeyStore

Direct Known Subclasses:
  DefaultKeyStore

    public abstract class JmeterKeyStore

extends Object

Use this Keystore for JMeter specific KeyStores.

Constructor Summary
`JmeterKeyStore()`

Method Summary
`abstract String` `getAlias()`
`abstract X509Certificate[]` `getCertificateChain()` Get the ordered certificate chain.
`static JmeterKeyStore` `getInstance(String type)`
`abstract PrivateKey` `getPrivateKey()` Return the private Key
`abstract void` `load(InputStream is, String password)` Process the input stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmeterKeyStore

    public JmeterKeyStore()

Method Detail

### load

    public abstract void load(InputStream is,
                              String password)
                       throws Exception

  Process the input stream

  Throws:
    `Exception`

### getCertificateChain

    public abstract X509Certificate[] getCertificateChain()

  Get the ordered certificate chain.

### getAlias

    public abstract String getAlias()

### getPrivateKey

    public abstract PrivateKey getPrivateKey()

  Return the private Key

### getInstance

    public static final JmeterKeyStore getInstance(String type)
                                            throws Exception

  Throws:
    `Exception`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.